#ifndef __KYSEC_API_H__
#define __KYSEC_API_H__

#include <dlfcn.h>
#include <syslog.h>
/*
 * 1 检测通过， 0 检测失败
 */
static int kysec_check_api(char *path)
{
    void *handle;
    int (*check)(char *);
    char *error;
    int retval = 0;

    handle = dlopen("libkysec.so.0", RTLD_LAZY);
    if (!handle) {
        syslog(LOG_INFO, "Failed to open libkysec - %s", dlerror());
        return 1;
    }

    dlerror();

    check = (int (*)(char *)) dlsym(handle, "kysec_check_exec");
    error = dlerror();
    if (error) {
        syslog(LOG_INFO, "Failed to obtain address of symbol - %s", error);
        dlclose(handle);
        return 1;
    }

    retval = (*check)(path);
    dlclose(handle);
    return retval;
}

#endif

